Skip to main content
GET
/
accounts
/
{accountId}
Get an account by ID
curl --request GET \
  --url https://api-dev.paygen.online/accounts/{accountId} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "ownerType": "<string>",
    "ownerId": "<string>",
    "client": "<string>",
    "name": "<string>",
    "type": "<string>",
    "category": "<string>",
    "status": "<string>",
    "currency": "<string>",
    "network": "<string>",
    "balance": 123,
    "canDebit": true,
    "canCredit": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required

Response

200 - application/json

Account fetched successfully.

statusCode
integer
required
message
string
required
data
object